aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 14:31:43 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 14:39:07 +0000
commit51c7b4055c415b4f9cd129aa6744cb498c501c43 (patch)
treece34e7a8973ee6441538539a54c56192fc88eb00 /community
parentee5fc9fa31cc0700f97655f1de0fcedbc3a19a69 (diff)
downloadaports-51c7b4055c415b4f9cd129aa6744cb498c501c43.tar.gz
aports-51c7b4055c415b4f9cd129aa6744cb498c501c43.tar.bz2
aports-51c7b4055c415b4f9cd129aa6744cb498c501c43.tar.xz
community/perl-log-log4perl: moved from testing
Diffstat (limited to 'community')
-rw-r--r--community/perl-log-log4perl/026FileApp.t.patch13
-rw-r--r--community/perl-log-log4perl/APKBUILD45
2 files changed, 58 insertions, 0 deletions
diff --git a/community/perl-log-log4perl/026FileApp.t.patch b/community/perl-log-log4perl/026FileApp.t.patch
new file mode 100644
index 0000000000..07b51afc23
--- /dev/null
+++ b/community/perl-log-log4perl/026FileApp.t.patch
@@ -0,0 +1,13 @@
+diff --git a/t/026FileApp.t b/t/026FileApp.t
+index b3ae4f4..6c3b345 100644
+--- a/t/026FileApp.t
++++ b/t/026FileApp.t
+@@ -484,7 +484,7 @@ EOT
+
+ my ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size, $atime,$mtime,$ctime,$blksize,$blocks) = stat("${testpath}_1");
+
+- is($mode & 07777,0750); #Win32 777
++ is($mode & 0777,0750); #Win32 777
+
+ ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size, $atime,$mtime,$ctime,$blksize,$blocks) = stat($testmkpathfile);
+
diff --git a/community/perl-log-log4perl/APKBUILD b/community/perl-log-log4perl/APKBUILD
new file mode 100644
index 0000000000..23c102917d
--- /dev/null
+++ b/community/perl-log-log4perl/APKBUILD
@@ -0,0 +1,45 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-log-log4perl
+_pkgreal=Log-Log4perl
+pkgver=1.47
+pkgrel=0
+pkgdesc="Log4j implementation for Perl"
+url="http://search.cpan.org/dist/Log-Log4perl/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-log-dispatch perl-dbi"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MS/MSCHILLI/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="53a0a2e68da51fa445c3557e4852d3a4 Log-Log4perl-1.47.tar.gz"
+sha256sums="9001dded011226538b9a50c7856815bb0dba72a1e6218fdcaba56f651356b96f Log-Log4perl-1.47.tar.gz"
+sha512sums="f0630cdb22586a9ab85d9ed900a9becb74a15376155f334efdf19bd0eeba00fe76820d6cef74550263c55dc2773504ac0ac8e94b5f287da739e8fbad18a6a5a6 Log-Log4perl-1.47.tar.gz"